GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/vax-nbsd-tdep.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "osabi.h"`
`#include "vax-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static void | vaxnbsd_elf_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_vaxnbsd_tdep (void)

## Function Documentation

## ◆ _initialize_vaxnbsd_tdep()

void _initialize_vaxnbsd_tdep | ( | void |  | ) |

Definition at line 38 of file vax-nbsd-tdep.c.

References GDB_OSABI_NETBSD, gdbarch_register_osabi(), and vaxnbsd_elf_init_abi().

## ◆ vaxnbsd_elf_init_abi()

static void vaxnbsd_elf_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 30 of file vax-nbsd-tdep.c.

References set_solib_svr4_fetch_link_map_offsets(), and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_vaxnbsd_tdep().